<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t ".title" %></h2>
  </div>

  <div class="card-section">
    <div class="author-row">
      <div class="author--avatar">
        <%= image_tag current_initiative.author.avatar_url %>
      </div>
      <div class="author--name">
        <%= current_initiative.author.name %>
      </div>
      <div class="author--actions">
        <% if authorizations.any? && authorizations.first.metadata.present? && Decidim::Verifications.find_workflow_manifest(authorizations.first.name)&.admin_engine.present? %>
          <%= metadata_modal_button_to authorizations.first, method: :get, remote: true, class: "button tiny hollow" do %>
            <%= icon "shield" %>
            <%= t "actions.metadata", scope: "decidim.verifications.omniauth.admin.authorizations.index" %>
          <% end %>
        <% end %>
      </div>
    </div>
  </div>

  <div class="card-section">
    <div class="row">
      <div class="columns xlarge-6">
        <%= form.select :state,
                        Decidim::Initiative.states.keys.map { |state| [I18n.t(state, scope: "decidim.initiatives.admin_states"), state] },
                        {},
                        { disabled: !@form.state_updatable? } %>
      </div>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :title, autofocus: true, disabled: !allowed_to?(:update, :initiative, initiative: current_initiative) %>
    </div>

    <div class="row column">
      <%= form.translated :text_area, :description, rows: 8, maxlength: 10000, autocomplete: :off, disabled: !allowed_to?(:update, :initiative, initiative: current_initiative) %>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.select :type_id,
                        initiative_type_options,
                        {},
                        {
                          disabled: !@form.signature_type_updatable?,
                          "data-scope-selector": "initiative_decidim_scope_id",
                          "data-scope-id": form.object.decidim_scope_id,
                          "data-scope-search-url": decidim_initiatives.initiative_type_scopes_search_url,
                          "data-signature-types-selector": "initiative_signature_type",
                          "data-signature-type": current_initiative.signature_type,
                          "data-signature-types-search-url": decidim_initiatives.initiative_type_signature_types_search_url
                        } %>
      </div>

      <div class="columns xlarge-6">
        <%= form.select :decidim_scope_id, [], {}, { disabled: !@form.signature_type_updatable? } %>
      </div>
    </div>

    <% if current_initiative.published? && current_user.admin? %>
      <div class="row">
        <div class="columns xlarge-6">
          <%= form.date_field :signature_start_date %>
        </div>

        <div class="columns xlarge-6">
          <%= form.date_field :signature_end_date %>
        </div>
      </div>
    <% end %>

    <% if current_initiative.type.no_signature_allowed? || current_initiative.no_signature.present? %>
      <div class="row">
        <div class="columns xlarge-6">
          <%= form.check_box :no_signature, help_text: t(".help_text") %>
        </div>
      </div>
    <% end %>

    <% if can_edit_custom_signature_end_date?(current_initiative) %>
      <div class="row column signature-end-date <%= "hide" if current_initiative.no_signature? %>">
        <%= form.date_field :signature_end_date, disabled: !allowed_to?(:update, :initiative, initiative: current_initiative) %>
      </div>
    <% end %>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.text_field :hashtag, disabled: !allowed_to?(:update, :initiative, initiative: current_initiative) %>
      </div>

      <div class="columns xlarge-6">
        <%= form.select :signature_type, [], {}, { disabled: !@form.signature_type_updatable? } %>
      </div>
    </div>

    <% if current_initiative.accepts_offline_votes? && current_user.admin? %>
      <div class="row">
        <div class="columns xlarge-6">
          <% @form.offline_votes.each do |scope_id, (votes, scope_name)| %>
            <%= label_tag "initiative_offline_votes_#{scope_id}", t("activemodel.attributes.initiative.offline_votes_for_scope", scope: translated_attribute(scope_name)) %>
            <%= number_field_tag "initiative[offline_votes][#{scope_id}][]", votes, min: 0, id: "initiative_offline_votes_#{scope_id}" %>
          <% end %>
        </div>
      </div>
    <% end %>

    <% if allowed_to?(:read, :attachment, initiative: current_participatory_space) %>
      <%= render partial: "initiative_attachments", locals: { current_initiative: current_initiative, current_participatory_space: current_participatory_space } %>
    <% end %>
  </div>
</div>

<%= javascript_include_tag "decidim/initiatives/scoped_type" %>
<%= javascript_include_tag "decidim/initiatives_no_signature_allowed/admin/end_date.js" %>
